export interface ReceiversVO {
  /**
   *
   */
  id: string | number;

  /**
   * 接收人 ID
   */
  userId: string | number;

  /**
   * 标题
   */
  title: string;

  /**
   * 消息内容
   */
  content: string;

  /**
   * 消息目标类型（广播 or 定向）'BROADCAST', 'SINGLE'
   */
  targetType: string;

  /**
   * 奖励ID
   */
  rewardId: string | number;

  /**
   * 模版CODE
   */
  templateCode: string;

  /**
   * 消息类型    SYSTEM("SYSTEM", "系统公告"),
    REWARD("REWARD", "获得奖励"),
    POINTS("POINTS", "积分变动"),
    NOTICE("NOTICE", "通用通知"),
    ACTIVITY("ACTIVITY", "活动通知"),
    ORDER("ORDER", "订单通知"),
    TASK("TASK", "任务通知");
   */
  messageType: string;

  /**
   * 发送时间
   */
  sendTime: string;

  /**
   * 更新时间
   */
  updatedAt: string;

  /**
   * 创建时间
   */
  createdAt: string;
}

export interface ReceiversForm extends BaseEntity {
  /**
   *
   */
  id?: string | number;

  /**
   * 接收人 ID
   */
  userId?: string | number;

  /**
   * 标题
   */
  title?: string;

  /**
   * 消息内容
   */
  content?: string;

  /**
   * 消息目标类型（广播 or 定向）'BROADCAST', 'SINGLE'
   */
  targetType?: string;

  /**
   * 奖励ID
   */
  rewardId?: string | number;

  /**
   * 模版CODE
   */
  templateCode?: string;

  /**
   * 消息类型    SYSTEM("SYSTEM", "系统公告"),
    REWARD("REWARD", "获得奖励"),
    POINTS("POINTS", "积分变动"),
    NOTICE("NOTICE", "通用通知"),
    ACTIVITY("ACTIVITY", "活动通知"),
    ORDER("ORDER", "订单通知"),
    TASK("TASK", "任务通知");
   */
  messageType?: string;

  /**
   * 发送时间
   */
  sendTime?: string;

  /**
   * 更新时间
   */
  updatedAt?: string;

  /**
   * 创建时间
   */
  createdAt?: string;

}

export interface ReceiversQuery extends PageQuery {

  /**
   * 接收人 ID
   */
  userId?: string | number;

  /**
   * 标题
   */
  title?: string;

  /**
   * 消息内容
   */
  content?: string;

  /**
   * 消息目标类型（广播 or 定向）'BROADCAST', 'SINGLE'
   */
  targetType?: string;

  /**
   * 奖励ID
   */
  rewardId?: string | number;

  /**
   * 模版CODE
   */
  templateCode?: string;

  /**
   * 消息类型    SYSTEM("SYSTEM", "系统公告"),
    REWARD("REWARD", "获得奖励"),
    POINTS("POINTS", "积分变动"),
    NOTICE("NOTICE", "通用通知"),
    ACTIVITY("ACTIVITY", "活动通知"),
    ORDER("ORDER", "订单通知"),
    TASK("TASK", "任务通知");
   */
  messageType?: string;

  /**
   * 发送时间
   */
  sendTime?: string;

  /**
   * 更新时间
   */
  updatedAt?: string;

  /**
   * 创建时间
   */
  createdAt?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



